new.in

来自「linux下各种patch的管理工具」· IN 代码 · 共 90 行

IN
90
字号
#! @BASH@#  This script is free software; you can redistribute it and/or modify#  it under the terms of the GNU General Public License version 2 as#  published by the Free Software Foundation.##  See the COPYING and AUTHORS files for more details.# Read in library functionsif [ "$(type -t patch_file_name)" != function ]then	if ! [ -r $QUILT_DIR/scripts/patchfns ]	then		echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2		exit 1	fi	. $QUILT_DIR/scripts/patchfnsfiusage(){	printf $"Usage: quilt new {patchname}\n"	if [ x$1 = x-h ]	then		printf $"Create a new patch with the specified file name, and insert it after thetopmost patch in the patch series file.Quilt can be used in sub-directories of a source tree. It determines theroot of a source tree by searching for a %s directory above thecurrent working directory. Create a %s directory in the intended rootdirectory if quilt chooses a top-level directory that is too high upin the directory tree." "$QUILT_PATCHES" "$QUILT_PATCHES"		exit 0	else		exit 1	fi}options=`getopt -o h -- "$@"`if [ $? -ne 0 ]then	usagefieval set -- "$options"while truedo	case "$1" in	-h)		usage -h ;;	--)		shift		break ;;	esacdoneif [ $# -ne 1 ]then	usagefipatch=${1#$QUILT_PATCHES/}if patch_in_series $patchthen	printf $"Patch %s exists already\n" "$(print_patch $patch)" >&2	exit 1ficreate_dbrm -rf "$QUILT_PC/$patch"mkdir -p "$QUILT_PC/$patch"if ! insert_in_series $patch || \   ! add_to_db $patchthen	printf $"Failed to create patch %s\n" "$(print_patch $patch)" >&2	exit 1else	printf $"Patch %s is now on top\n" "$(print_patch $patch)"fi### Local Variables:### mode: shell-script### End:# vim:filetype=sh

⌨️ 快捷键说明

复制代码Ctrl + C
搜索代码Ctrl + F
全屏模式F11
增大字号Ctrl + =
减小字号Ctrl + -
显示快捷键?